Skip to main content

Build Modify REST API Endpoint

Loading...

Updated on
Feb 27, 2026

Build Modify REST API Endpoint

Parameters

Body Parameters

action
object
REQUIRED
Loading...
type
string
Loading...
modifies
array
Loading...
oid
integer
Loading...
order
object
Loading...
a
string
Loading...
b
boolean
Loading...
p
string
Loading...
s
string
Loading...
r
boolean
Loading...
t
object
Loading...
limit
object
Loading...
tif
string
Loading...
vaultAddress
string
Loading...
expiresAfter
integer
Loading...

Returns

hash
string
Loading...
nonce
integer
Loading...
action
object
Loading...
type
string
Loading...
modifies
array
Loading...
oid
integer
Loading...
order
object
Loading...
a
integer
Loading...
b
boolean
Loading...
p
string
Loading...
s
string
Loading...
r
boolean
Loading...
t
object
Loading...
limit
object
Loading...
tif
string
Loading...
summary
string
Loading...
assets
array
Loading...
index
integer
Loading...
name
string
Loading...
isSpot
boolean
Loading...
szDecimals
integer
Loading...
Request
1
curl -s -X POST https://docs-demo.hype-mainnet.quiknode.pro/hypercore/exchange \
2
-H "Content-Type: application/json" \
3
-d '{
4
"action": {
5
"type": "batchModify",
6
"modifies": [
7
{
8
"oid": 123456789,
9
"order": {
10
"asset": "BTC",
11
"side": "buy",
12
"price": "101000",
13
"size": "0.002",
14
"tif": "gtc"
15
}
16
}
17
]
18
}
19
}'
20
1
curl -s -X POST https://docs-demo.hype-mainnet.quiknode.pro/hypercore/exchange \
2
-H "Content-Type: application/json" \
3
-d '{
4
"action": {
5
"type": "batchModify",
6
"modifies": [
7
{
8
"oid": 123456789,
9
"order": {
10
"asset": "BTC",
11
"side": "buy",
12
"price": "101000",
13
"size": "0.002",
14
"tif": "gtc"
15
}
16
}
17
]
18
}
19
}'
20
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free